#### Previous topic

scipy.optimize.line_search

#### Next topic

scipy.optimize.LbfgsInvHessProduct

# scipy.optimize.show_options

`scipy.optimize.``show_options`(solver=None, method=None, disp=True)

  Show documentation for additional options of optimization solvers.

  These are method-specific options that can be supplied through the `options` dict.

  Parameters:

  solver : str

  > Type of optimization solver. One of ‘minimize’, ‘minimize_scalar’, ‘root’, or ‘linprog’.

  method : str, optional

  > If not given, shows all methods of the specified solver. Otherwise, show only the options for the specified method. Valid values corresponds to methods’ names of respective solver (e.g. ‘BFGS’ for ‘minimize’).

  disp : bool, optional

  > Whether to print the result rather than returning it.

  Returns:

  text

  > Either None (for disp=False) or the text string (disp=True)

  Notes

  The solver-specific methods are:

  `scipy.optimize.minimize`

  - Nelder-Mead
  - Powell
  - CG
  - BFGS
  - Newton-CG
  - L-BFGS-B
  - TNC
  - COBYLA
  - SLSQP
  - dogleg
  - trust-ncg

  `scipy.optimize.root`

  - hybr
  - lm
  - broyden1
  - broyden2
  - anderson
  - linearmixing
  - diagbroyden
  - excitingmixing
  - krylov
  - df-sane

  `scipy.optimize.minimize_scalar`

  - brent
  - golden
  - bounded

  `scipy.optimize.linprog`

  - simplex